### Virtual Method

# Ide DeployStrategy load_async

#### Declaration

    void
    load_async (
      IdeDeployStrategy* self,
      IdePipeline* pipeline,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Asynchronously requests that the `IdeDeployStrategy` load anything necessary to support deployment for `pipeline`. If the strategy cannot support the pipeline, it should fail with `G_IO_ERROR` error domain and `G_IO_ERROR_NOT_SUPPORTED` error code.

Generally, the deployment strategy is responsible for checking if it can support deployment to the given device, and determine how to get the install data out of the pipeline. Given so many moving parts in build systems, how to determine that is an implementation detail of the specific `IdeDeployStrategy`.

Available since: | 3.32

#### Parameters

`pipeline` | `IdePipeline`
| An `IdePipeline`.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| A `GCancellable`, or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| A callback to execute upon completion.
`user_data` | `gpointer`
| Closure data for `callback`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.